using Core.Domain;

namespace Core.Ports
{
    public interface ITileView
    {
        string TileId { get; }
        void Initialize(Tile tile);
        void SetVisualState(TileState state);
        void DropPhysics();
        void Dispose();
        void StepOn();
    }
}